%define debug_package %{nil}

Name:	 	mono-nunit22
Version:	2.2.10
Release:	7%{?dist}
Summary:	Unit-testing framework for .NET
URL:		http://www.nunit.org/
License:	MIT with advertising
Group:		System Environment/Libraries
Source0:	http://downloads.sourceforge.net/nunit/NUnit-2.2.10-src.zip
Source1:	nunit22.pc
Patch0:		nunit22-mono.patch
Patch1:		nunit22-key.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	mono-devel, nant
BuildRequires:	unzip
# There is no nant for ppc/ppc64
ExcludeArch:	ppc64 ppc

%description
NUnit is a unit-testing framework for all .Net languages. Initially ported from
JUnit, this xUnit based unit testing tool is written entirely in C# and has 
been completely redesigned to take advantage of many .NET language features, 
for example custom attributes and other reflection related capabilities. NUnit 
brings xUnit to all .NET languages.

%package devel
Summary:	Unit-testing framework for .NET
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for mono-nunit22.

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .key

%build
sn -k nunit.snk
cd src
nant mono-2.0 release build-all

%install
rm -rf $RPM_BUILD_ROOT
cd src/
nant mono-2.0 copy-bins
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
cp -p %{S:1} $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
sed -i -e 's!@libdir@!%{_libdir}!' $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/nunit22.pc
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mono/gac/
cd package/NUnit-%{version}
gacutil -i bin/nunit-console.exe -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit-console-runner.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit.core.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit.core.extensions.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit.framework.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit.mocks.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}
gacutil -i bin/nunit.util.dll -f -package nunit22 -root ${RPM_BUILD_ROOT}/%{_libdir}

%clean
rm -rf -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc src/license.rtf
%{_libdir}/mono/gac/*/
%{_libdir}/mono/nunit22/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/nunit22.pc


%changelog
* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.10-7
- fix license tag

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.10-6
- rebuild for new mono bits

* Tue Apr 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.2.10-5
- fix sed invocation

* Tue Apr 22 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2.10-4
- fix for incorrect libdir in pc file

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.10-3
- no nant for ppc ppc64

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.10-2
- disable debuginfo package, useless

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.10-1
- initial Fedora package
